# PetscViewerStringSetString

sets the string that a string viewer will print to

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerStringSetString(PetscViewer viewer,char string[],PetscInt len)

Collective on PetscViewer

### Input Parameters

| viewer | - string viewer you wish to attach string to
| string | - the string to print data into
| len | - the length of the string

### See Also

PetscViewerStringOpen()

Level:advanced
Location: src/sys/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages